#include <avr/io.h>

#include "lcd.h"

int main()
{
 DDRD = 0xFF;
 DDRB = 0xFF;
 
 PORTD = 0x00;
 PORTB = 0x00;

 LCD lcd;
 
 lcd.DB[4].Port=&PORTB;
 lcd.DB[4].Nummer=PB0;
 lcd.DB[5].Port=&PORTD;
 lcd.DB[5].Nummer=PD1;
 lcd.DB[6].Port=&PORTD;
 lcd.DB[6].Nummer=PD6;
 lcd.DB[7].Port=&PORTD;
 lcd.DB[7].Nummer=PD2;
 lcd.E.Port=&PORTD;
 lcd.E.Nummer=PD0;
 lcd.RS.Port=&PORTB;
 lcd.RS.Nummer=PB1;
 
 LCD_Init(lcd);
 
 for(;;)
 {
  setbit(lcd.DB[5].Port,6);
  
  delay_ms(100);
  
  unsetbit(lcd.DB[5].Port,6);
  
  delay_ms(100);
 }
 return 0;
}
